#include <fstream>
#include <cstdio>
#include <string>
#include <assert.h>

using namespace std;

int main()
{
    ifstream cin("squad.in");
    ofstream cout("squad.out");
    string s, t;
    cin >> s >> t;
    assert(s.length() == t.length());
    for (size_t i = 0; i < s.length(); i++)
    {
        if (i == 0)
        {
            assert(s[i] != '0');
            assert(t[i] != '0');
        }
        assert(isdigit(s[i]));
        assert(isdigit(t[i]));
        cout << ((s[i] > t[i]) ? s[i] : t[i]);
    }
}